
import 'package:flutter/cupertino.dart';

class ScrollPageMc extends StatefulWidget {
  
  Key key;
  List<Widget> widgets;
  bool isVertical;
  bool pageSnapping;

  ScrollPageMc({this.key, this.widgets, this.isVertical, this.pageSnapping}) : super(key: key);

  @override
  State<StatefulWidget> createState() => ScrollPageMcState();
  
}

class ScrollPageMcState extends State<ScrollPageMc> {

  PageController controller;

  @override
  void initState() {
    super.initState();

    controller = new PageController();
  }

  @override
  Widget build(BuildContext context) {
    return PageView(
      controller: controller,
      pageSnapping: widget.pageSnapping ? true : false,
      scrollDirection: widget.isVertical ? Axis.vertical : Axis.horizontal,
      physics: BouncingScrollPhysics(),
      children: widget.widgets
    );
  }

  Future<bool> moveTo(double position, int milliseconds) {
    return controller.animateTo(position, duration: Duration(milliseconds: milliseconds), curve: Curves.ease).then((value) {
      return true;
    })
    .catchError(() {
      return false;
    });
  }

}
